Bug 1128711 - The S-RAMP maven integration (wagon) allows artifacts to be updated - it should instead fail
Summary: The S-RAMP maven integration (wagon) allows artifacts to be updated - it shou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: unspecified
Version: 6.0.0 GA
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: DR1
: ---
Assignee: Eric Wittmann
QA Contact: Pavel Macik
URL:
Whiteboard:
Depends On:
Blocks: 1085860
TreeView+ depends on / blocked
 
Reported: 2014-08-11 11:51 UTC by Eric Wittmann
Modified: 2014-09-24 16:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 16:23:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1030518 None None None Never

Internal Links: 1030518

Description Eric Wittmann 2014-08-11 11:51:56 UTC
Description of problem:

Artifacts deployed to S-RAMP via maven should be immutable.  They represent a canonical version of a built binary object and therefore should not be updateable.  When maven is used to try and deploy the same artifact again, it should fail rather than update the existing artifact in s-ramp.

Version-Release number of selected component (if applicable):
FSW 6.0.0 GA

How reproducible:
Always


Steps to Reproduce:
1. Use Maven to deploy an artifact into s-ramp
2. Try to deploy the same artifact using maven a 2nd time
3. Note that the maven build succeeded (and it updated the last-modified-time of the artifact in s-ramp).

Actual results:
The maven build succeeds and the artifact is updated.

Expected results:
The maven build fails.

Comment 1 Eric Wittmann 2014-08-11 11:55:49 UTC
I have commited a fix for this to the product branch in s-ramp for FSW 6.0.

Comment 2 Rick Wagner 2014-08-11 18:53:28 UTC
Hi Eric,
Can you please supply a commit id?
Thanks,
Rick

Comment 4 George Varsamis 2014-08-14 13:10:50 UTC
Hi Eric,

Can you please merge these fixes on top of the previous tag and give us a new tag that we can build from? 

Thanks,
George.


Note You need to log in before you can comment on or make changes to this bug.